gsw_Sstar_from_SP {gsw} | R Documentation

## Convert from Practical Salinity to Preformed Salinity

### Description

Calculate Preformed Salinity from Practical Salinity, pressure, longitude, and latitude.

### Usage

    gsw_Sstar_from_SP(SP, p, longitude, latitude)

### Arguments

`SP` | Practical Salinity (PSS-78) [ unitless ]
`p` | sea pressure [ dbar ]
`longitude` | longitude in decimal degrees [ 0 to 360 or -180 to 180]
`latitude` | latitude in decimal degrees [ -90 to 90 ]

### Details

If SP is a matrix and if its dimensions correspond to the lengths of longitude and latitude, then the latter are converted to analogous matrices with `expand.grid`.

### Value

Preformed Salinity [ g/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_Sstar_from_SP.html

### See Also

`gsw_SP_from_Sstar` does the reverse; `gsw_Sstar_from_SA` is similar.

### Examples

    gsw_Sstar_from_SP(34.5487, 10, 188, 4) # 34.711553680880769

[Package gsw version 1.0-3 Index]